Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059347 - CVE-2013-6393 libyaml: heap-based buffer overflow when parsing YAML tags [fedora-all]
Summary: CVE-2013-6393 libyaml: heap-based buffer overflow when parsing YAML tags [fed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libyaml
Version: 19
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: John Eckersberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1059009
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 17:00 UTC by John Eckersberg
Modified: 2014-02-08 05:01 UTC (History)
2 users (show)

Fixed In Version: libyaml-0.1.4-6.fc19
Doc Type: Release Note
Doc Text:
Clone Of: 1059009
Environment:
Last Closed: 2014-01-29 17:58:10 UTC


Attachments (Terms of Use)

Description John Eckersberg 2014-01-29 17:00:41 UTC
+++ This bug was initially created as a clone of Bug #1059009 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

--- Additional comment from Murray McAllister on 2014-01-28 19:44:46 EST ---


Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1033990,1059009

Comment 1 Fedora Update System 2014-01-29 17:47:04 UTC
libyaml-0.1.4-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libyaml-0.1.4-6.fc20

Comment 2 Fedora Update System 2014-01-29 17:47:18 UTC
libyaml-0.1.4-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libyaml-0.1.4-6.fc19

Comment 3 Vincent Danen 2014-01-29 17:58:10 UTC
Why was this cloned?

*** This bug has been marked as a duplicate of bug 1059009 ***

Comment 4 John Eckersberg 2014-01-29 18:56:51 UTC
> Why was this cloned?
> 
> *** This bug has been marked as a duplicate of bug 1059009 ***

I was going to submit separate updates for F20 and F19, so cloned the bug against F19 to use in the F19 update.  Then I remembered I could just submit both in one update, so it was unnecessary.  Sorry for the noise.

Comment 5 Fedora Update System 2014-02-08 05:00:01 UTC
libyaml-0.1.4-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-02-08 05:01:28 UTC
libyaml-0.1.4-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.